Subject: bug#22066: 24.5; documentation for "values" is not accurate

From: Lars Ingebrigtsen <[email-masked]>
Date: Tue, 09 Feb 2021 08:37:25 +0100

Stefan Monnier <[email-masked]> writes:

>> `eval-region' just returns nil, but that `lambda' could just capture the
>> value instead of the functoin then looking in `values', I think?
>
> The lambda is the read-function, so it doesn't receive the return value.
> But we could just wrap the form inside
> a `(setq elisp--eval-defun-result ,form)

Yup.  I've now done this on the trunk, and I'm marking `values' as
obsolete (after doing some more testing).

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no